cgGetFirstEffectAnnotation(3)

NAME
cgGetFirstEffectAnnotation - get the first annotation in an effect

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetFirstEffectAnnotation( CGeffect effect );

PARAMETERS

effect
    The effect from which to retrieve the first annotation.

RETURN VALUES
Returns the first annotation in an effect.

Returns NULL if the effect has no annotations.

DESCRIPTION
The first annotation associated with an effect can be retrieved using cgGetFirstEffectAnnotation. The rest of the effect's annotations can be discovered by iterating through them using cgGetNextAnnotation.

EXAMPLES
  CGannotation ann = cgGetFirstEffectAnnotation( effect );
  while( ann )
  {
     /* do something with ann */
     ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgGetFirstEffectAnnotation was introduced in Cg 1.5.

SEE ALSO
cgGetNamedEffectAnnotation, cgGetNextAnnotation